# Asynchronous Speech-To-Text API Documentation

Asynchronous Speech-To-Text API Documentation


Version: v1

## Servers

Rev AI API
```
https://api.rev.ai/speechtotext/v1
```

## Security

### AccessToken

Type: http
Scheme: bearer

## Download OpenAPI description

[Asynchronous Speech-To-Text API Documentation](https://docs.rev.ai/_bundle/api/asynchronous/reference.yaml)

## Jobs

### Get Job By Id

 - [GET /jobs/{id}](https://docs.rev.ai/api/asynchronous/reference/jobs/getjobbyid.md): Returns information about a transcription job

### Delete Job by Id

 - [DELETE /jobs/{id}](https://docs.rev.ai/api/asynchronous/reference/jobs/deletejobbyid.md): Deletes a transcription job. All data related to the job, such as input media and transcript, will be permanently deleted. A job can only be deleted once it's completed (either with success or failure).

### Get List of Jobs

 - [GET /jobs](https://docs.rev.ai/api/asynchronous/reference/jobs/getlistofjobs.md): Gets a list of transcription jobs submitted within the last 30 days in reverse chronological order up to the provided limit number of jobs per call. Note: Jobs older than 30 days will not be listed. Pagination is supported via passing the last job id from a previous call into starting_after.

### Submit Transcription Job

 - [POST /jobs](https://docs.rev.ai/api/asynchronous/reference/jobs/submittranscriptionjob.md): Starts an asynchronous job to transcribe speech-to-text for a media file. Media files can be specified in two ways, either by including a public url to the media in the transcription job options or by uploading a local file as part of a multipart/form request.

## Transcripts

### Get Transcript By Id

 - [GET /jobs/{id}/transcript](https://docs.rev.ai/api/asynchronous/reference/transcripts/gettranscriptbyid.md): Returns the transcript for a completed transcription job. Transcript can be returned as either JSON or plaintext format. Transcript output format can be specified in the Accept header. Returns JSON by default.
*
Note: For streaming jobs, transient failure of our storage during a live session may prevent the final hypothesis elements from saving properly, resulting in an incomplete transcript. This is rare, but not impossible. To guarantee 100% completeness, we recommend capturing all final hypothesis when you receive them on the client.

### Get Translated Transcript By Id

 - [GET /jobs/{id}/transcript/translation/{language}](https://docs.rev.ai/api/asynchronous/reference/transcripts/gettranslatedtranscriptbyid.md): Returns translated transcript for a completed transcription job. Translation must be requested as part of the submitted job. Transcript can be returned in either JSON or plaintext format. Transcript output format can be specified in the Accept header. Returns JSON by default.

### Get Transcript Summary By Id

 - [GET /jobs/{id}/transcript/summary](https://docs.rev.ai/api/asynchronous/reference/transcripts/gettranscriptsummarybyid.md): Returns the transcript summary for a completed transcription job. Summary can be returned as either JSON or plaintext format. Summary output format can be specified in the Accept header. Returns plaintext by default.

## Captions

### Get Captions

 - [GET /jobs/{id}/captions](https://docs.rev.ai/api/asynchronous/reference/captions/getcaptions.md): Returns the caption output for a transcription job. We currently support SubRip (SRT) and Web Video Text Tracks (VTT) output.
Caption output format can be specified in the Accept header. Returns SRT by default.
*
Note: For streaming jobs, transient failure of our storage during a live session may prevent the final hypothesis elements from saving properly, resulting in an incomplete caption file. This is rare, but not impossible.

### Get Translated Captions

 - [GET /jobs/{id}/captions/translation/{language}](https://docs.rev.ai/api/asynchronous/reference/captions/gettranslatedcaptions.md): Returns translated caption output for a transcription job. Translation must be requested as part of the submited job. We currently support SubRip (SRT) and Web Video Text Tracks (VTT) output.
Caption output format can be specified in the Accept header. Returns SRT by default.

## Accounts

### Get Account

 - [GET /account](https://docs.rev.ai/api/asynchronous/reference/accounts/getaccount.md): Get the developer's account information

